de.caff.generics.mda

## Class TwoDimensionalBooleanReadAccess.Base

- java.lang.Object
- - de.caff.generics.mda.TwoDimensionalReadAccess.Base<java.lang.Boolean>
  - - de.caff.generics.mda.TwoDimensionalBooleanReadAccess.Base

- All Implemented Interfaces:
    MultiDimensional, MultiDimensionalReadAccess<java.lang.Boolean>, TwoDimensionalBooleanReadAccess, TwoDimensionalReadAccess<java.lang.Boolean>
  Direct Known Subclasses:
    SmallTwoDimensionalBitArray, SmallTwoDimensionalBooleanArray, TwoDimensionalBooleanArray
  Enclosing interface:
    TwoDimensionalBooleanReadAccess

      public abstract static class TwoDimensionalBooleanReadAccess.Base
      extends TwoDimensionalReadAccess.Base<java.lang.Boolean>
      implements TwoDimensionalBooleanReadAccess

  Base class implementing this interface which provides useful default methods for `Object.toString()`, `Object.equals(Object)`, and `Object.hashCode()`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.mda.TwoDimensionalBooleanReadAccess

      `TwoDimensionalBooleanReadAccess.Base`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.mda.TwoDimensionalBooleanReadAccess

      `EMPTY`

    - ### Fields inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `EMPTY0, EMPTY1, EMPTY2, EMPTY3, EMPTY4, EMPTY5, EMPTY6, EMPTY7`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TwoDimensionalBooleanReadAccess.Base` | `asBase()` View this class as if it has useful defaults for standard object methods.

    - ### Methods inherited from class de.caff.generics.mda.TwoDimensionalReadAccess.Base

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.mda.TwoDimensionalBooleanReadAccess

      `getElementAt, getValueAt, singleton, subAtX, subAtY, transposed`

    - ### Methods inherited from interface de.caff.generics.mda.TwoDimensionalReadAccess

      `empty, equal, getElement, getNumDimensions, getNumElements, getSize, getSizes, hash, sizeX, sizeY, toString, view, visitAll, visitAll, xIterable, xIterator, yIterable, yIterator`

    - ### Methods inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `empty, linearized`

- - ### Constructor Detail

    - #### Base

          public Base()

  - ### Method Detail

    - #### asBase

          @NotNull
          public TwoDimensionalBooleanReadAccess.Base asBase()

      Description copied from interface: `TwoDimensionalReadAccess`
      View this class as if it has useful defaults for standard object methods.
      Specified by:
        `asBase` in interface `TwoDimensionalBooleanReadAccess`
      Specified by:
        `asBase` in interface `TwoDimensionalReadAccess<java.lang.Boolean>`
      Overrides:
        `asBase` in class `TwoDimensionalReadAccess.Base<java.lang.Boolean>`
      Returns:
        based view of this class